Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bg.alpha.base
Class ZMem

    java.lang.Object
      bg.alpha.base.ZMem

    public class ZMem

extends java.lang.Object

Constructor Summary
`ZMem()`

Method Summary
`static long` | `_ByteArrayToLong(byte[] b, int off)`
`static short` | `_ByteArrayToShort(byte[] b, int off)`
`static byte[]` | `_LongToByteArray(long liV)`
`static byte[]` | `_ShortToByteArray(short siV)`
`static int` | `memcmp(byte[] b1, byte[] b2, int size)`
`static void` | `memset(byte[] b, byte iV, int iSize)`
`static void` | `zfree(byte[] p)` Освобождава заделена оперативна памет в байтове.
`static byte[]` | `zmalloc(int size)` Заделя памет с указания размер в байтове.
`static void` | `zmemrep(byte[] p, int off, int size)` Обръща подредбата на байтовете в заделената оперативна памет.
`static int` | `zmsize(byte[] p)` Връща размера на парчето заделена оперативна памет.
`static byte[]` | `zrealloc(byte[] p, int size)` Преопределя размера на заделена оперативна памет в байтове.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZMem

    public ZMem()

Method Detail

### zmalloc

    public static byte[] zmalloc(int size)

  Заделя памет с указания размер в байтове.

  Parameters:
    `size` -
  Returns:
    ДАТА НА ПОСЛЕДНА ПРОМЯНА: 12.11.2010 година.

### zrealloc

    public static byte[] zrealloc(byte[] p,
                                  int size)

  Преопределя размера на заделена оперативна памет в байтове.

  Parameters:
    `p` -
    `size` -
  Returns:
    ДАТА НА ПОСЛЕДНА ПРОМЯНА: 12.11.2010 година.

### zfree

    public static void zfree(byte[] p)

  Освобождава заделена оперативна памет в байтове.

  Parameters:
    `p` - ДАТА НА ПОСЛЕДНА ПРОМЯНА: 12.11.2010 година.

### zmsize

    public static int zmsize(byte[] p)

  Връща размера на парчето заделена оперативна памет.

  Parameters:
    `p` -
  Returns:
    ДАТА НА ПОСЛЕДНА ПРОМЯНА: 12.11.2010 година.

### zmemrep

    public static void zmemrep(byte[] p,
                               int off,
                               int size)

  Обръща подредбата на байтовете в заделената оперативна памет.

  Parameters:
    `p` -
    `size` - ДАТА НА ПОСЛЕДНА ПРОМЯНА: 12.11.2010 година.

### _LongToByteArray

    public static byte[] _LongToByteArray(long liV)

### _ByteArrayToLong

    public static long _ByteArrayToLong(byte[] b,
                                        int off)

### _ShortToByteArray

    public static byte[] _ShortToByteArray(short siV)

### _ByteArrayToShort

    public static short _ByteArrayToShort(byte[] b,
                                          int off)

### memset

    public static void memset(byte[] b,
                              byte iV,
                              int iSize)

### memcmp

    public static int memcmp(byte[] b1,
                             byte[] b2,
                             int size)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD